Package org.apache.tapestry5.internal.bindings

# Class RenderVariableBinding

java.lang.Object
org.apache.tapestry5.ioc.BaseLocatable
org.apache.tapestry5.internal.bindings.AbstractBinding
org.apache.tapestry5.internal.bindings.RenderVariableBinding

All Implemented Interfaces:
  `Binding`, `Binding2`, `AnnotationProvider`, `Locatable`

public class RenderVariableBinding extends AbstractBinding

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `RenderVariableBinding(Location location, String description, ComponentResources resources, String name)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Object`
  `get()`
  Reads the current value of the property (or other resource).
  `Class`
  `getBindingType()`
  Always returns Object since we don't (statically) know the type of object.
  `boolean`
  `isInvariant()`
  Returns false, render variables are always variable.
  `void`
  `set(Object value)`
  Updates the current value.
  `String`
  `toString()`

  ### Methods inherited from class org.apache.tapestry5.internal.bindings.AbstractBinding

  `getAnnotation, getBindingGenericType`

  ### Methods inherited from class org.apache.tapestry5.ioc.BaseLocatable

  `getLocation`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### RenderVariableBinding

    public RenderVariableBinding(Location location, String description, ComponentResources resources, String name)

- ## Method Details

  - ### set

    public void set(Object value)
    Description copied from interface: `Binding`
    Updates the current value. Most types of bindings are read-only, and this method will throw a runtime exception. It is the caller's responsibility to ensure that the value passed in is of the appropriate type.
    Specified by:
      `set` in interface `Binding`
    Overrides:
      `set` in class `AbstractBinding`

  - ### isInvariant

    public boolean isInvariant()
    Returns false, render variables are always variable.
    Specified by:
      `isInvariant` in interface `Binding`
    Overrides:
      `isInvariant` in class `AbstractBinding`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### get

    public Object get()
    Description copied from interface: `Binding`
    Reads the current value of the property (or other resource). When reading properties of objects that are primitive types, this will return an instance of the wrapper type. In some cases, a binding is read only and this method will throw a runtime exception.

  - ### getBindingType

    public Class getBindingType()
    Always returns Object since we don't (statically) know the type of object.
    Specified by:
      `getBindingType` in interface `Binding`
    Overrides:
      `getBindingType` in class `AbstractBinding`